--- asterisk_trunk/channels/chan_sip.c.orig	2012-08-13 20:42:59.000000000 +0400
+++ asterisk_trunk/channels/chan_sip.c	2012-08-14 15:53:43.000000000 +0400
@@ -9507,6 +9507,18 @@
 
 	offered_media_list_destroy(p);
 
+	/* strip SDP */
+	int i;
+	for (i = 0; i < (req->sdp_start + req->sdp_count); i++) {
+		const char *line = NULL;
+		line = REQ_OFFSET_TO_STR(req, line[i]);
+		if (!strncasecmp(line, "m=application", 13)) {
+			req->sdp_count = i;
+			ast_verbose("Striped SDP m=application %d\n", i);
+			break;
+		}
+	}
+
 	/* Scan for the first media stream (m=) line to limit scanning of globals */
 	nextm = get_sdp_iterate(&next, req, "m");
 	if (ast_strlen_zero(nextm)) {
